import { ReactNode, FC } from 'react';

/**
 * Props types for OverflowSlider
 */
type TOverflowSlider = {
    /** Child elements to display inside the slider */
    children: ReactNode[];
    /** Custom "Previous" button */
    prevButton?: ReactNode;
    /** Custom "Next" button */
    nextButton?: ReactNode;
    /** Gap between elements */
    gap?: number | string;
    /** Scroll animation duration (in milliseconds) */
    duration?: number;
};

declare const OverflowSlider: FC<TOverflowSlider>;

export { OverflowSlider, type TOverflowSlider };
